package com.heyu.api.data.dao.vv;
/**
* <p>
* 卖家表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-26
*/

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.heyu.api.data.entity.vv.VvSellerEntity;
import com.lz.mybatis.plugin.annotations.IF;
import com.lz.mybatis.plugin.annotations.OrderBy;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvSellerDao extends BaseMapper<VvSellerEntity> {


    VvSellerEntity selectVvSellerById(@Param("id") Long id);


    Long insertVvSeller(VvSellerEntity vvSeller);


    Long insertOrUpdateVvSeller(VvSellerEntity vvSeller);


    int updateVvSellerById(VvSellerEntity vvSeller);


    int updateCoverVvSellerById(VvSellerEntity vvSeller);


    int deleteVvSellerById(@Param("id") Long id);




    @OrderBy(VvSellerEntity.id_)
    List<VvSellerEntity> selectByAdminCondition(IPage page,
                                                @IF Long id,
                                                @IF String sellerName,
                                                @IF @OrderBy(VvSellerEntity.create_timestamp) String createTimestampSort,
                                                @IF @OrderBy(VvSellerEntity.modify_timestamp) String modifyTimestampSort
    );




}